> ## Documentation Index
> Fetch the complete documentation index at: https://docs.linkio.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Customer Onboard



## OpenAPI

````yaml /reference/link-transaction.json post /transactions/v2/direct_ramp/onboarding
openapi: 3.1.0
info:
  title: link-transaction
  version: '1.0'
servers:
  - url: https://api.linkio.world
security:
  - sec0: []
tags:
  - name: Direct FX
  - name: Pan-Africa Ramp
  - name: BRL Ramp
  - name: IDR Ramp
  - name: B2B
  - name: Customers
  - name: Static Details
  - name: Transactions
  - name: Accounts
  - name: ESPESS
paths:
  /transactions/v2/direct_ramp/onboarding:
    post:
      tags:
        - Pan-Africa Ramp
      summary: Customer Onboard
      operationId: post_direct_ramponboarding
      parameters:
        - in: query
          name: email
          schema:
            type: string
          description: Your customers email address.
          required: true
        - in: query
          name: first_name
          schema:
            type: string
          required: true
          description: Customer first name.
        - in: query
          name: last_name
          schema:
            type: string
          required: true
          description: Customer last name.
        - in: query
          name: country
          schema:
            type: string
            enum:
              - Nigeria
              - Ghana
              - Kenya
              - South Africa
              - Botswana
              - Cameroon
              - Malawi
              - Mozambique
              - Sierra Leone
              - Tanzania
              - Uganda
              - Zambia
              - Cote D'Ivoire
              - Rwanda
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties: {}
      responses:
        '200':
          description: ''
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: ngnc-sec-key
      x-default: ''

````